import Decimal from "decimal.js";
//浮点数精确计算
//乘法
export function decimalMul(a: string, b: string) {
  const one = Number(a),
    two = Number(b);

  const decimalA = new Decimal(one);
  const decimalB = new Decimal(two);

  const result = decimalA.mul(decimalB);

  return result.toNumber(); // 返回精确乘法结果（可选，根据需要转换为数字或保留为Decimal对象）
}

//除法
export function decimalDev(a: number, b: number) {
  const one = Number(a),
    two = Number(b);

  const decimalA = new Decimal(one);
  const decimalB = new Decimal(two);

  const result = decimalA.div(decimalB);

  return result.toNumber(); // 返回精确乘法结果（可选，根据需要转换为数字或保留为Decimal对象）
}

//加法
export function decimalAdd(a: number, b: number) {
  const one = Number(a),
    two = Number(b);

  const decimalA = new Decimal(one);
  const decimalB = new Decimal(two);

  const result = decimalA.add(decimalB);

  return result.toNumber(); // 返回精确乘法结果（可选，根据需要转换为数字或保留为Decimal对象）
}
